function D = D_ADI_augmented(P, f, N, lb, ub, q)
% D = D_ADI_augmented(P, f, N, lb, ub, q)
%
% Computes the augmented ADI measure.
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	D = D_ADI(P(:,find(f <= q)), N, lb, ub) + sum((f > q) .* (f - q));

end
