function [] = superformula_demo()
% [] = superformula_demo()
%
% A demo script for generating superformula
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	m = 5;
	n1 = 2;
	n2 = 7;
	n3 = 7;
	a = 1;
	b = 1;

	plot_superformula(m, n1, n2, n3, a, b);

end


function [] = plot_superformula(m, n1, n2, n3, a, b)

	f = [0:0.001:2*pi];
	for i = 1:length(f)
		c1 = abs((1/a) * cos((m * f(i)) / 4));
		c2 = abs((1/b) * sin((m * f(i)) / 4));
		r = (c1^n2 + c2^n3)^(-1/n1);
		x(i) = r * cos(f(i));
		y(i) = r * sin(f(i));
	end

	plot(x,y,'r', 'LineWidth', 2)
	xlim([-3,3])
	ylim([-3,3])

end

